'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _stripAnsi = require('strip-ansi');

var _stripAnsi2 = _interopRequireDefault(_stripAnsi);

var _tablify = require('./tablify');

var _tablify2 = _interopRequireDefault(_tablify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * LiskHQ/lisk-commander
 * Copyright © 2017–2018 Lisk Foundation
 *
 * See the LICENSE file at the top-level directory of this distribution
 * for licensing information.
 *
 * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
 * no part of this software, including this file, may be copied, modified,
 * propagated, or distributed except according to the terms contained in the
 * LICENSE file.
 *
 * Removal or modification of this copyright notice is prohibited.
 *
 */
const removeANSIFromObject = object => Object.entries(object).reduce((strippedResult, [key, value]) => Object.assign({}, strippedResult, { [key]: (0, _stripAnsi2.default)(value) }), {});

const removeANSI = result => Array.isArray(result) ? result.map(removeANSIFromObject) : removeANSIFromObject(result);

const print = ({ json, pretty } = {}) => function printResult(result) {
	const resultToPrint = json ? removeANSI(result) : result;

	const output = json ? JSON.stringify(resultToPrint, null, pretty ? '\t' : null) : (0, _tablify2.default)(resultToPrint).toString();

	const logger = this && this.log ? this : console;
	logger.log(output);
};

exports.default = print;